How to use Topology Services and ASDM together - java versions

Unanswered Question
Dec 6th, 2008
User Badges:

Campus Manager (Topology services) requires java version 1.5.0_11. However the same version cannot be used to launch ASDM.


The client PC OS is Windows XP Prof SP3. When I install 1.5.0_17 ASDM works, but the Topology services in Campus Manager fails. Would you know of any single java version which can cater to both.


Thanks.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Joe Clarke Sat, 12/06/2008 - 10:54
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

You might be able to get this to work by disabling the JVM version you don't need in the Java Control Panel. That is, when you're going to use Topology Services, disable JVM 1.5.0_17; and when you're going to ASDM, disable 1.5.0_11. LMS is very specific in the version of Java it requires. I imagine ASDM is the same way.


LMS 3.0.1 requires JVM 1.5.0_13, and LMS 3.1 requires 1.6.0_5. I'm not sure if ASDM can use either of those.

nicholsonlarry Tue, 12/09/2008 - 08:40
User Badges:

That is one problem Cisco has is the conflicting Java versions across product lines. I end up just using different PC to access the products. For instance my version of CiscoWorks and ACS require two different revs. I really wish they would get away from Java... I

Actions

This Discussion